if flags.lily then
  speciale_action(2,1)
  speciale_action(2,3)
  speciale_action(2,obj.persten_2_1.id)
  setCursor(obj.persten_2_1.id,4)
  set_visible_object(4,false)
end

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender,obj_id,attachedID)
  if wrongItemWarning(sender, obj_id, attachedID, "koryaga_2_13") then
    return
  end
  if sender==1 then
    if obj_id == 4 then
      if obj.koryaga_2_13 and attachedID == obj.koryaga_2_13.id then
        Block_Show_Cur(true)
        StartTimer(timerID,1.51,"frame1")
        removeFromMouse()
        UnStoreObj(obj.koryaga_2_13.id)
        flags.lily = true
        playeffect("lily")
        speciale_action  (2,4,true,0.1)
        speciale_action(2,5,true,1.5)
      else
        CreatePlashechka("604")
      end
    end
    if obj_id == obj.persten_2_1.id then
      StoreObj(obj.persten_2_1.id);    

      neighbors.Lily.lock = true
      if neighbors.OzeroHidden.lock then
        neighbors.OzeroHidden.lock = false
      else
        flags.hidden3_1 = true
      end
      neighbors.MuzeyHidden.lock = false
    end;
  end
  if sender == 26 then

  --  CloseSatelite()
  end
  if sender == 30 then
    if neighbors.Lily.lock then
    
      
    --  dofile("./data/3/0/comics.lua")
    CreatePlashechka("682")
    end
  end
end

function frame1()
  speciale_action(2,5,true,1.5)
  speciale_action(2,2,true,1.5)
  StartTimer(timerID,1.51,"frame2")

end

function frame2()
  StartTimer(timerID,1.6,"unBlock_Show_Cur")
  speciale_action(2,1,true,1.5)
  speciale_action(2,2,true,1.5)
  speciale_action(2,obj.persten_2_1.id,true,1.5)
  setCursor(obj.persten_2_1.id,4)
end